<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      <div class="icon-part full-height flex-fixed-size">
        <ng-container [ngSwitch]="configuration.level">
          <i
            *ngSwitchCase="'INFO'"
            nz-icon
            class="sqtm-core-icon"
            nzType="info-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#1890FF'"
          ></i>
          <i
            *ngSwitchCase="'DANGER'"
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FF0000'"
          ></i>
          <i
            *ngSwitchCase="'WARNING'"
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FAAD14'"
          ></i>
        </ng-container>
      </div>
      <ng-container
        *ngIf="
          !configuration.simulationReportMessages;
          else deleteSimulationReport
        "
      >
        <span
          [attr.data-test-dialog-message]="true"
          [innerHTML]="configuration.messageKey | translate"
        ></span>
      </ng-container>
    </div>
    <ng-template #deleteSimulationReport>
      <div>
        <div
          [attr.data-test-dialog-message]="true"
          [innerHTML]="configuration.messageKey | translate"
        ></div>
        <div [attr.data-test-element-id]="'deletion-warnings'" class="m-t-10">
          <span
            *ngIf="configuration.simulationReportMessages.length > 0"
            [innerHTML]="configuration.simulationReportTitle | translate"
          ></span>
          <ul>
            <li
              *ngFor="let message of configuration.simulationReportMessages"
              [innerHTML]="message"
            ></li>
          </ul>
        </div>
        <div
          *ngIf="configuration.suffixMessageKey"
          [attr.data-test-dialog-message-suffix]="true"
          [innerHTML]="configuration.suffixMessageKey | translate"
        ></div>
      </div>
    </ng-template>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size sqtm-core-delete-button danger-icon"
      nz-button
      nzType="primary"
      (click)="confirmDeletion()"
    >
      {{ 'sqtm-core.generic.label.delete' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
